I am LAZY bones ? all linux

升级ubuntu至9.04

今天,已经是ubuntu 9.04发布的第三天,我照例在错开了下载高峰期的今天,对家里的两套ubuntu系统进线了升级.
先是升级了MM的ubuntu,修改sources.list以后,直接 apt-get update + dist-upgrade,下载了1G的deb包以后,又忽忽地安装了一段时间,居然啥错误都没有,重启进入新的系统也一起正常,无线网络/声音/compiz都正常.
这次升级平稳地有些匪夷所思.因为按以往的经验,安装的时候都会或多或少出现几个冲突的包或者子进程返回失败之类的错误,可这次却没有,心想MM的电脑用了才不久,安装的东西也不多,所以才没啥问题吧.
于是马上把 /var/cache/apt/archives/ 下24小时内的deb包都复制到自己的电脑上,也换开始了升级.由于已经有了那1G的deb包,我升级的时候,只需再下载300M多M的东西即可,然后也忽忽地安装了一段时间,照样没啥错误…心想,ubuntu真的进步了不少,哈哈.
但是重启的时候,却发现,这回没那么顺利了: 加载fglrx模块的时候报错,接着gdm出现了花屏…心想,那就先用vesa驱动跑着呗,于是 apt-get purge fglrx-kernel-source xorg-driver-fglrx 重启以后,发现gdm正常了,登录进去,发现分辨率什么的也正常,而且compiz居然也是好的…glxgears 也跑到 2368.680 FPS 真强!
看看我节选的glxinfo吧:

direct rendering: Yes
server glx vendor string: SGI
server glx version string: 1.2
client glx vendor string: SGI
client glx version string: 1.4
GLX version: 1.2
OpenGL vendor string: DRI R300 Project
OpenGL renderer string: Mesa DRI R300 20060815 x86/MMX/SSE2 TCL
OpenGL version string: 1.3 Mesa 7.4

就这么用着也很不错了,但愿以后都不用折腾驱动了,哈哈…

最后修改时间: 2009年04月26日 22:27

本文章发表于: 2009年04月26日 22:27 | 所属分类:流水帐. | 您可以在此订阅本文章的所有评论. | 您也可以发表评论, 或从您的网站trackback.

11 个评论 关于: “升级ubuntu至9.04”

  1. Iven 在 2009年04月26日 23:18 说:回复

    太假了……要是都这样就好了……T_T

  2. amoblin 在 2009年04月26日 23:41 说:回复

    我的到现在还一大堆错误呢。。

    • bones7456 在 2009年04月27日 09:29 说:回复

      可怜的…啥错啊?

  3. TualatriX 在 2009年04月27日 09:05 说:回复

    哇,Ubuntu真的兼容性这么OK了?

    • bones7456 在 2009年04月27日 09:29 说:回复

      是啊,不知道ubuntu是怎么做到的~

  4. oldherl 在 2009年04月27日 09:38 说:回复

    direct rendering: Yes
    server glx vendor string: SGI
    server glx version string: 1.2
    client glx vendor string: SGI
    client glx version string: 1.4
    GLX version: 1.2
    OpenGL vendor string: Tungsten Graphics, Inc
    OpenGL renderer string: Mesa DRI Intel(R) 915GM GEM 20090326 2009Q1 RC2 x86/MMX/SSE2
    OpenGL version string: 1.4 Mesa 7.4

    Arch Linux, xorg-server-1.6.1-1

    • bones7456 在 2009年04月27日 16:21 说:回复

      哇,都 1.6.1 了啊~ GEM爽不?

      • oldherl 在 2009年04月29日 18:12 说:回复

        GEM是啥?
        开到UXA以后效果反而不行,原因不详,现在还是EXA模式,似乎比以前好了一点点。没搞KMS。在1.6.0的时候驱动没跟上,完全瘫痪……

  5. frankyue 在 2009年04月27日 19:33 说:回复

    过了三个礼拜的类原始生活,哈哈,我今天也要装个9.04的

  6. fantimond 在 2009年05月02日 08:26 说:回复

    我为什么 apt-get dist-upgrade 没反应,不给升到9.04呢?

    source.list里面必须要加入 对应的 jaunty 的 地址吗? (er以前没升级安装过啊啊)

    • bones7456 在 2009年05月03日 14:43 说:回复

      肯定要把source.list里都换成jaunty的啊.

发表评论